This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 470388

Summary: kvm: syslinux's "boot from local drive" doesn't work with virtio
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: berrange, clalance, gcosta, markmc, rvokal, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:46:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bill Nottingham 2008-11-06 17:45:59 EST
Description of problem:

They don't show up in the initial boot device list, although I can select
'Hard drive' under the boot menu.

If I boot from an installer CD, and select 'boot from local drive', the virtio disk isn't found.

Version-Release number of selected component (if applicable):

virt-manager-0.6.0-3.fc10.x86_64
kvm-74-5.fc10.x86_64
qemu-img-0.9.1-10.fc10.x86_64
Comment 1 Mark McLoughlin 2008-11-07 05:42:42 EST
Yeah, the BIOS doesn't have support for virtio so we use the extboot option ROM to boot from virtio ... you get that loaded by specifying -drive ...,boot=on
Comment 2 Bill Nottingham 2008-11-11 12:26:03 EST
To elaborate on the 'boot from local drive' - selecting that in isolinux/syslinux yields:

Booting from local disk...
FATAL: No bootable device.bb
Comment 3 Glauber Costa 2008-11-25 19:30:29 EST
bill,

mind sharing your command line? I'm getting variable results depending on how I test it, want to make sure I'm matching your configuration exactly.
Comment 4 Bug Zapper 2008-11-25 23:55:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bill Nottingham 2008-11-26 14:32:49 EST
/usr/bin/qemu-kvm -S -M pc -m 1000 -smp 1 -name aaargh -monitor pty -boot c -drive file=/var/lib/libvirt/images/boot.iso,if=ide,media=cdrom,index=2 -drive file=/var/lib/libvirt/images/aaargh.img,if=virtio,index=0,boot=on -net nic,macaddr=54:52:00:6d:c2:6a,vlan=0,model=virtio -net tap,fd=12,script=,vlan=0,ifname=vnet0 -serial pty -parallel none -usb -vnc 127.0.0.1:0 -k en-us -soundhw es1370

(Launched via virt-manager.)
Comment 6 Bug Zapper 2009-11-18 03:46:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:46:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.